Bug 18754 - logrotate does not handle log files with spaces in the file name
Summary: logrotate does not handle log files with spaces in the file name
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: logrotate (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Erik Troan
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-09 22:48 UTC by Need Real Name
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-10 14:31:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-10-09 22:48:42 UTC
Log files with spaces in their file names makes logrotate unable to parse
its state file.  The error report sent from cron daemon says

   error: bad line 34 in state file /var/lib/logrotate.status

Line 34 is 

   /var/log/samba/log.chief wiggum 2000-9-2

The file "/var/log/samba/log.chief wiggum" exists with normal permissions.

Logrotate does not rotate any log files when it fails to read its state
file.

My guess is that logrotate uses space as field separator in the state file
and that it has no way of telling when a space is part of a file name or a
field separator.


Version:  logrotate-3.3.2-1 on redhat 6.2.  Other versions or platforms
untested.

Comment 1 Erik Troan 2000-10-10 14:31:42 UTC
Fixed in the logrotate included with 7.0

Comment 2 Bishop Clark 2001-01-30 14:10:42 UTC
The careful observer will note that the original bug was reported against 6.2 .  Will the 7.0 fix released also work on 6.2, or is a backport to address the 
original report in the works?



Comment 3 Erik Troan 2001-01-30 16:24:49 UTC
The sources will rebuild fine, the binary package won't work.


Note You need to log in before you can comment on or make changes to this bug.